<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019d1fb3-1a5f-7083-91a6-b74c759027ec,g:201cb33c-28ed-496c-9973-e60e6c0eefa8-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:clf="http://www.clevelandcliffs.com/20260402" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.clevelandcliffs.com/20260402">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei-sub/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-sub-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd-sub/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-sub-2025.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="clf-20260402_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="clf-20260402_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="clf-20260402_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="clf_SCTPensionMember" abstract="true" name="SCTPensionMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_PensionCurrentYearServiceCostMember" abstract="true" name="PensionCurrentYearServiceCostMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_PensionPriorYearServiceCostImpactingCurrentYearMember" abstract="true" name="PensionPriorYearServiceCostImpactingCurrentYearMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_GrantDateValuesInTheSCTMember" abstract="true" name="GrantDateValuesInTheSCTMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" abstract="true" name="YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" abstract="true" name="YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" abstract="true" name="FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" abstract="true" name="DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" abstract="true" name="ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" abstract="true" name="DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
